package com.yinlihupo.enlish.service.domain.mapper;

import com.yinlihupo.enlish.service.domain.dataobject.UserDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface UserDOMapper {

    UserDO selectByPhone(String phone);

    void insert(UserDO userDO);

    void updatePassword(@Param("id") Long id, @Param("password") String password);

    void updateUserInfo(@Param("id") Long id, @Param("name") String name, @Param("password") String password, @Param("phone") String phone);

    UserDO selectById(Long id);

    List<UserDO> selectUserDOList(@Param("name") String name, @Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize);

    int selectUserTotal();

    void createUser(UserDO userDO);
}